This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1274574 - MasterNode checking in diagnostics should be skipped if the networkPlugin isn't Open vSwitch
MasterNode checking in diagnostics should be skipped if the networkPlugin i...
Status: ASSIGNED
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking (Show other bugs)
3.0.0
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Devan Goodwin
Meng Bo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-22 23:26 EDT by Anping Li
Modified: 2017-06-22 17:26 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Anping Li 2015-10-22 23:26:21 EDT
Description of problem:
if  networkPluginName is not Open vSwitch plugin in master config, diagnostics doesn't skip the MasterNode checking


Version-Release number of selected component (if applicable):
openshift version
openshift v3.0.2.902
kubernetes v1.2.0-alpha.1-1107-g4c8e6f4
etcd 2.1.2


How reproducible:
always

Steps to Reproduce:
1 set "networkPluginName: test" in master config
2 run openshift ex diagnostics


Actual Result:
It show message as below:
[Note] Running diagnostic: MasterNode
       Description: Check if master is also running node (for Open vSwitch)

Expected Result:
It should skip MasterNode checking if the networkPluginName isn't Open vSwitch

Note You need to log in before you can comment on or make changes to this bug.